{
  "schema_version": "1.4.0",
  "id": "GHSA-hwfp-hg2m-9vr2",
  "modified": "2025-03-27T17:43:16Z",
  "published": "2021-08-09T20:43:44Z",
  "aliases": [
    "CVE-2021-32559"
  ],
  "summary": "Integer overflow in pywin32",
  "details": "An integer overflow exists in pywin32 prior to version b301 when adding an access control entry (ACE) to an access control list (ACL) that would cause the size to be greater than 65535 bytes. An attacker who successfully exploited this vulnerability could crash the vulnerable process.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H"
    },
    {
      "type": "CVSS_V4",
      "score": "CVSS:4.0/AV:N/AC:L/AT:N/PR:L/UI:N/VC:N/VI:N/VA:H/SC:N/SI:N/SA:N"
    }
  ],
  "affected": [
    {
      "package": {
        "ecosystem": "PyPI",
        "name": "pywin32"
      },
      "ranges": [
        {
          "type": "ECOSYSTEM",
          "events": [
            {
              "introduced": "0"
            },
            {
              "fixed": "301"
            }
          ]
        }
      ]
    }
  ],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2021-32559"
    },
    {
      "type": "WEB",
      "url": "https://github.com/mhammond/pywin32/issues/1700"
    },
    {
      "type": "WEB",
      "url": "https://github.com/mhammond/pywin32/pull/1701"
    },
    {
      "type": "ADVISORY",
      "url": "https://github.com/advisories/GHSA-hwfp-hg2m-9vr2"
    },
    {
      "type": "WEB",
      "url": "https://github.com/fireeye/Vulnerability-Disclosures/blob/master/FEYE-2021-0017/FEYE-2021-0017.md"
    },
    {
      "type": "PACKAGE",
      "url": "https://github.com/mhammond/pywin32"
    },
    {
      "type": "WEB",
      "url": "https://github.com/mhammond/pywin32/releases"
    },
    {
      "type": "WEB",
      "url": "https://github.com/pypa/advisory-database/tree/main/vulns/pywin32/PYSEC-2021-112.yaml"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": true,
    "github_reviewed_at": "2021-07-07T16:45:27Z",
    "nvd_published_at": "2021-07-06T12:15:00Z"
  }
}